%define upstream_name yuicompressor

Name:           python-%{upstream_name}
Version:        2.4.8
Release:        %mkrel 10
Summary:        YUI Compressor packaged for Python
Group:          Development/Python
License:        BSD
URL:            https://github.com/jorgesumle/yuicompressor
Source0:        https://github.com/jorgesumle/yuicompressor/archive/refs/tags/yuicompressor-%{version}.tar.gz
BuildArch:      noarch

%description
YUI Compressor is a JavaScript and CSS minifier written in Java. This package
bundles the YUI Compressor JAR file to ease its use in Python projects. Note
that you still need to have Java Runtime Environment installed.

%package -n     python3-%{upstream_name}
Summary:        YUI Compressor packaged for Python
Group:          Development/Python
BuildRequires:  pkgconfig(python3)
BuildRequires:  python3dist(setuptools)
Requires:       jre-headless

%description -n python3-%{upstream_name}
YUI Compressor is a JavaScript and CSS minifier written in Java. This package
bundles the YUI Compressor JAR file to ease its use in Python projects. Note
that you still need to have Java Runtime Environment installed.

%prep
%setup -q -n %{upstream_name}-%{version}

%build
%py3_build

%install
%{__python3} setup.py install --single-version-externally-managed --skip-build --root %{buildroot}
mv %{buildroot}%{_bindir}/yuicompressor %{buildroot}%{_bindir}/yuicompressor3

%files -n python3-%{upstream_name}
%doc README CHANGES
%license LICENSE
%{_bindir}/yuicompressor3
%{python3_sitelib}/yuicompressor
%{python3_sitelib}/yuicompressor-%{version}-*.egg-info


%changelog
* Wed Jul 02 2025 umeabot <umeabot> 2.4.8-10.mga10
+ Revision: 2239293
- Mageia 10 Mass Rebuild

* Sun Mar 02 2025 wally <wally> 2.4.8-9.mga10
+ Revision: 2156380
- rebuild for python3.13

* Tue Jan 16 2024 daviddavid <daviddavid> 2.4.8-8.mga10
+ Revision: 2031455
- rebuild for py3.12

* Wed Mar 23 2022 umeabot <umeabot> 2.4.8-7.mga9
+ Revision: 1822987
- Mageia 9 Mass Rebuild

* Thu Feb 17 2022 tv <tv> 2.4.8-6.mga9
+ Revision: 1778566
- Rebuild for python-3.10

* Wed Mar 31 2021 guillomovitch <guillomovitch> 2.4.8-5.mga9
+ Revision: 1712240
- rebuild for python 3.9

* Thu Jul 23 2020 ovitters <ovitters> 2.4.8-4.mga8
+ Revision: 1608356
- rebuild for removing pythonegg buildrequires in srpm

* Sun Feb 16 2020 umeabot <umeabot> 2.4.8-3.mga8
+ Revision: 1532506
- Mageia 8 Mass Rebuild

* Mon Sep 16 2019 tv <tv> 2.4.8-2.mga8
+ Revision: 1442481
- rebuild for python-3.8
- drop python2 subpkg

* Mon Jul 01 2019 guillomovitch <guillomovitch> 2.4.8-1.mga8
+ Revision: 1417071
- imported package python-yuicompressor

